Trendyol product reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-trendyol-products-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "689227641",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-trendyol-products-reviews"
payload = {
"product": "689227641",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '689227641', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-trendyol-products-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "trendyol_product_reviews",
"product": "689227641",
"product_id": "689227641",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Trendyol product reviews\n\n- **Product:** 689227641\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 933.0 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "564152301",
"rating": 5,
"text": "Gerçekten harika çok teşekkür ediyorum saygılar sevgiler",
"author": "N** D**",
"created_at": 1755556115027,
"helpful_count": 0,
"language": "tr",
"is_trusted": true,
"seller": null,
"images": []
},
"items": [
{
"id": "564152301",
"rating": 5,
"text": "Gerçekten harika çok teşekkür ediyorum saygılar sevgiler",
"author": "N** D**",
"created_at": 1755556115027,
"helpful_count": 0,
"language": "tr",
"is_trusted": true,
"seller": null,
"images": []
},
{
"id": "410751585",
"rating": 5,
"text": "Kötü yorumlara asla kulak asmayın ürün çok çok güzel, hiçbir sorunu yok bayıldım 👍🏻",
"author": "A** B** E**",
"created_at": 1720776468055,
"helpful_count": 0,
"language": "tr",
"is_trusted": true,
"seller": null,
"images": [
"https://cdn.dsmcdn.com/mnresize/-/820/prod-migrated-product-review-media_1756808468433/img/2017928/2024907/2029892/805788095/10975267-1720776467211.jpeg"
]
}
],
"proxy_traffic_bytes": 955393
},
"total_points": 2
}E-commerce & Marketplaces
Trendyol product reviews
Customer reviews for a Trendyol product by contentId or URL: rating, text, author, date, likes, seller and photos. 1 point per returned record.
POST
/
functions
/
v1
/
run-trendyol-products-reviews
Trendyol product reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.